<template>
<div>
  <div class="top-nav">
    <router-link class="active" to="/dashboard">Home</router-link>
    <div class="top-nav-right">
      <router-link to="/account">Account</router-link>
      <router-link to="/logout">Logout</router-link>
    </div>
  </div>
  <br><br>
  <div class="card">
    <h5 style="font-weight: bold"> ACCOUNT INFO</h5>
    <img alt="account" src="../assets/account.png" height="350px" width="430px">
      <label>Username</label>
      <input type="text" disabled id="name" v-model="username">
      <label>Email</label>
      <input type="text" disabled id="email" v-model="email">
      <label>Language</label>
      <input type="text" disabled id="lang" v-model="language">
      <label>Roles</label>
      <input type="text" disabled id="rol" v-model="rol">
  </div>
</div>
</template>

<script>
import axios from 'axios';

export const SERVER_API_URL = process.env.SERVER_API_URL || '';

export default {
  name: 'Account',
  data() {
    return {
      username: '',
      email: '',
      rol: '',
      language: '',
    };
  },
  methods: {
    account() {
      const path = `${SERVER_API_URL}/v1.0/account`;
      // axios.defaults.headers.Authorization = localStorage.getItem('user-token');
      axios.get(path)
        .then((res) => {
          console.log(res.data);
          this.username = res.data.login;
          this.email = res.data.email;
          this.language = res.data.langKey;
          this.rol = res.data.authorities;
        })
        .catch((error) => {
          console.error(error);
          // window.location = '/';
        });
    },
  },
  created() {
    this.account();
  },
};

</script>

<style>
/* Add a black background color to the top navigation */
.top-nav {
  margin-top: 0;
  background-color: #333;
  overflow: hidden;
}

/* Style the links inside the navigation bar */
.top-nav a {
  float: left;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

/* Change the color of links on hover */
.top-nav a:hover {
  background-color: #ddd;
  color: black;
}

/* Add a color to the active/current link */
.top-nav a.active {
  background-color: #04AA6D;
  color: white;
}

/* Right-aligned section inside the top navigation */
.top-nav-right {
  float: right;
}

.card {
  margin: 0 auto 10px;
  width: 550px;
  text-align: center;
}

input[type=text], select {
  width: 100%;
  padding: 12px 20px;
  margin: 1px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 8px;
  box-sizing: border-box;
}

label {
  text-align: left;
}

p {
  margin: auto;
  text-align: left;
}

</style>
